Add custom data via webhook
curl --request POST \
--url https://api.getcortexapp.com/api/v1/custom-integrations/data/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.getcortexapp.com/api/v1/custom-integrations/data/{uuid}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.getcortexapp.com/api/v1/custom-integrations/data/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 429,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"instance": "<string>",
"retryAfter": 1
}Add custom data via webhook
Refer to the Webhook section of the Custom Data docs for more information. This API is preconfigured in your workspace settings under Custom Integrations. The UUID corresponds to a custom data key, as well as a jq command that maps the data in this payload to an entity in your workspace.
POST
/
api
/
v1
/
custom-integrations
/
data
/
{uuid}
Add custom data via webhook
Authorizations
All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.
Path Parameters
Body
application/json
A JSON object that contains a valid entity tag in the payload, queryable with the jq command defined for this webhook in your workspace.
The body is of type object.
Response
OK
Last modified on September 24, 2026